cancel
Showing results for 
Search instead for 
Did you mean: 

Firefox 9.0 has disabled Java Console 6.0.30 and I am unable to read anything based on Java! Is there a fix for this or should I revert to the earlier Firefox version?

SOLVED
Highlighted
New Contributor

Firefox 9.0 has disabled Java Console 6.0.30 and I am unable to read anything based on Java! Is there a fix for this or should I revert to the earlier Firefox version?

Java(TM) Platform SE 6 U30

   File: npjp2.dll
   Version: 6.0.300.12
   Next Generation Java Plug-in 1.6.0_30 for Mozilla browsers

MIME Type Description Suffixes application/x-java-applet Java Applet application/x-java-bean JavaBeans application/x-java-vm application/x-java-applet;version=1.1.1 application/x-java-bean;version=1.1.1 application/x-java-applet;version=1.1 application/x-java-bean;version=1.1 application/x-java-applet;version=1.2 application/x-java-bean;version=1.2 application/x-java-applet;version=1.1.3 application/x-java-bean;version=1.1.3 application/x-java-applet;version=1.1.2 application/x-java-bean;version=1.1.2 application/x-java-applet;version=1.3 application/x-java-bean;version=1.3 application/x-java-applet;version=1.2.2 application/x-java-bean;version=1.2.2 application/x-java-applet;version=1.2.1 application/x-java-bean;version=1.2.1 application/x-java-applet;version=1.3.1 application/x-java-bean;version=1.3.1 application/x-java-applet;version=1.4 application/x-java-bean;version=1.4 application/x-java-applet;version=1.4.1 application/x-java-bean;version=1.4.1 application/x-java-applet;version=1.4.2 application/x-java-bean;version=1.4.2 application/x-java-applet;version=1.5 application/x-java-bean;version=1.5 application/x-java-applet;version=1.6 application/x-java-bean;version=1.6 application/x-java-applet;jpi-version=1.6.0_30 application/x-java-bean;jpi-version=1.6.0_30

1 ACCEPTED SOLUTION

Accepted Solutions
Support Forum Moderator

Re: Firefox 9.0 has disabled Java Console 6.0.30 and I am unable to read anything based on Java! Is there a fix for this or should I revert to the earlier Firefox version?

The Java Console add-on is used mainly by Java developers, very few consumer applications need it. The Java plugin is something else entirely.

Does Java work on this test page?
http://www.java.com/en/download/testjava.jsp

5 REPLIES
Support Forum Moderator

Re: Firefox 9.0 has disabled Java Console 6.0.30 and I am unable to read anything based on Java! Is there a fix for this or should I revert to the earlier Firefox version?

The Java Console add-on is used mainly by Java developers, very few consumer applications need it. The Java plugin is something else entirely.

Does Java work on this test page?
http://www.java.com/en/download/testjava.jsp

New Contributor

Re: Firefox 9.0 has disabled Java Console 6.0.30 and I am unable to read anything based on Java! Is there a fix for this or should I revert to the earlier Firefox version?

Thanks - seems to working now.

New Contributor

Re: Firefox 9.0 has disabled Java Console 6.0.30 and I am unable to read anything based on Java! Is there a fix for this or should I revert to the earlier Firefox version?

I have the same problem but I can't read the above 'chosen solution' as the 'read more' link does not work when I click on it! I can't get on facebook or youtube but yet other sites are fine! I'm about ready to pitch this thing out the window! Please help! Thanx

Site Moderator

Re: Firefox 9.0 has disabled Java Console 6.0.30 and I am unable to read anything based on Java! Is there a fix for this or should I revert to the earlier Firefox version?

@awheck

To avoid confusion:

Make sure that you do not block JavaScript.

Clear the cache and the cookies from sites that cause problems.

"Clear the Cache":

  • Tools > Options > Advanced > Network > Offline Storage (Cache): "Clear Now"

"Remove Cookies" from sites causing problems:

  • Tools > Options > Privacy > Cookies: "Show Cookies"

Start Firefox in Troubleshoot Firefox issues using Safe Mode to check if one of the extensions or if hardware acceleration is causing the problem (switch to the DEFAULT theme: Firefox (Tools) > Add-ons > Appearance/Themes).

Site Moderator

Re: Firefox 9.0 has disabled Java Console 6.0.30 and I am unable to read anything based on Java! Is there a fix for this or should I revert to the earlier Firefox version?

Since the thread owner has marked the issue as "solved" I'm locking this thread. If anyone has other questions please start a new thread.